aboutsummaryrefslogtreecommitdiff
path: root/prepare-device.sh
diff options
context:
space:
mode:
Diffstat (limited to 'prepare-device.sh')
-rwxr-xr-xprepare-device.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/prepare-device.sh b/prepare-device.sh
index b816dfe..788461e 100755
--- a/prepare-device.sh
+++ b/prepare-device.sh
@@ -1,5 +1,6 @@
#!/bin/bash
+set -e
echo "Preparing device for mode: $1"
if [ $1 == 'mp' ]
@@ -8,6 +9,8 @@ then
IPADDR=`cat IPADDR`
echo "Disable IKS for $IPADDR"
adb connect $IPADDR:5555
+ adb devices
+ echo "adb -s $IPADDR:5555 shell \"echo 0 > /sys/kernel/bL_switcher/active\""
adb -s $IPADDR:5555 shell "echo 0 > /sys/kernel/bL_switcher/active"
fi
@@ -17,6 +20,8 @@ then
IPADDR=`cat IPADDR`
echo "Enable IKS for $IPADDR"
adb connect $IPADDR:5555
+ adb devices
+ echo "adb -s $IPADDR:5555 shell \"echo 1 > /sys/kernel/bL_switcher/active\""
adb -s $IPADDR:5555 shell "echo 1 > /sys/kernel/bL_switcher/active"
fi